GET DATA  /TYPE = TXT
 /FILE = '..\daten\stand5lp_2_all.dat'
 /DELCASE = LINE
 /DELIMITERS = "\t"
 /ARRANGEMENT = DELIMITED
 /FIRSTCASE = 2
 /IMPORTCASE = ALL
 /VARIABLES =
 date F6.2
 time A5
 subject F1.0
 build A11
 blocknum F1.0
 trialnum F2.0
 blockcode A8
 tcode A6
 pretrialpause F3.0
 posttrialpause F1.0
 windowcenter F1.0
 trialduration F1.0
 trialtimeout F1.0
 blocktimeout F1.0
 response F2.0
 cor F1.0
 lat F5.0
 inwindow F1.0
 stimulusnumber1 F1.0
 stimulusitem1 A1
 stimulusvpos1 F9.0
 stimulushpos1 F9.0
 stimulusonset1 F3.0
 stimulusnumber2 F1.0
 stimulusitem2 A11
 stimulusvpos2 F9.0
 stimulushpos2 F9.0
 stimulusonset2 F4.0
 stimulusnumber3 F1.0
 stimulusitem3 A11
 stimulusvpos3 F9.0
 stimulushpos3 F9.0
 stimulusonset3 F4.0
 V34 F1.0
 .
CACHE.
EXECUTE.

string id (a14).
compute id = string(subject, f2.0).
compute id = concat("_",id).
compute id = concat(time,id).
compute id = concat(string(date,f6.0),id).
exe.
freq id.

sel if (blocknum=5 & trialnum=1).
exe.

compute linkspos=1.
exe.
value labels linkspos 1 'Linke Taste=positiv' 0 'Linke Taste=negativ'.

compute anteil = 0.
if (index(blockcode, "7_")>0) anteil = 1.
if (index(blockcode, "3_")>0) anteil = 2.
exe.
value labels anteil 1 'Mehrheit negativ' 2 'Mehrheit positiv'.

compute ab = -1.
if (index(blockcode, "a")>0) ab = 1.
if (index(blockcode, "b")>0) ab = 2.
exe.
value labels ab 1 '@=pos' 2 '@=neg'.

compute set = 0.
if (index(blockcode, "1")=4) set = 1.
if (index(blockcode, "2")=4) set = 2.
exe.
value labels set 1 'Set 1' 2 'Set 2'.

formats linkspos anteil ab set (f1.0).
freq linkspos anteil ab set .

delete variables build
blocknum
trialnum
blockcode
tcode
pretrialpause
posttrialpause
windowcenter
trialduration
trialtimeout
blocktimeout
response
cor
inwindow
stimulusnumber1
stimulusitem1
stimulusvpos1
stimulushpos1
stimulusonset1
stimulusnumber2
stimulusitem2
stimulusvpos2
stimulushpos2
stimulusonset2
stimulusnumber3
stimulusitem3
stimulusvpos3
stimulushpos3
stimulusonset3
V34.

save outfile 'stand5lpbed.sav'.

crosstabs linkspos by anteil by ab by set.


GET DATA  /TYPE = TXT
 /FILE = '..\daten\stand5_ab_lp.dat'
 /DELCASE = LINE
 /DELIMITERS = "\t"
 /ARRANGEMENT = DELIMITED
 /FIRSTCASE = 2
 /IMPORTCASE = ALL
 /VARIABLES =
 date F6.2
 time A5
 subject F1.0
 build A11
 blocknum F1.0
 trialnum F2.0
 blockcode A8
 tcode A6
 pretrialpause F3.0
 posttrialpause F1.0
 windowcenter F1.0
 trialduration F1.0
 trialtimeout F1.0
 blocktimeout F1.0
 response F2.0
 cor F1.0
 lat F5.0
 inwindow F1.0
 stimulusnumber1 F1.0
 stimulusitem1 A1
 stimulusvpos1 F9.0
 stimulushpos1 F9.0
 stimulusonset1 F3.0
 stimulusnumber2 F1.0
 stimulusitem2 A11
 stimulusvpos2 F9.0
 stimulushpos2 F9.0
 stimulusonset2 F4.0
 stimulusnumber3 F1.0
 stimulusitem3 A11
 stimulusvpos3 F9.0
 stimulushpos3 F9.0
 stimulusonset3 F4.0
 V34 F1.0
 .
CACHE.
EXECUTE.

string id (a14).
compute id = string(subject, f2.0).
compute id = concat("_",id).
compute id = concat(time,id).
compute id = concat(string(date,f6.0),id).
exe.
freq id.

sel if (blocknum=5 & trialnum=1).
exe.

compute linkspos=1.
exe.
value labels linkspos 1 'Linke Taste=positiv' 0 'Linke Taste=negativ'.

compute anteil = 0.
if (index(blockcode, "7_")>0) anteil = 1.
if (index(blockcode, "3_")>0) anteil = 2.
exe.
value labels anteil 1 'Mehrheit negativ' 2 'Mehrheit positiv'.

compute ab = -1.
if (index(blockcode, "a")>0) ab = 1.
if (index(blockcode, "b")>0) ab = 2.
exe.
value labels ab 1 '@=pos' 2 '@=neg'.

compute set = 0.
if (index(blockcode, "1")=4) set = 1.
if (index(blockcode, "2")=4) set = 2.
exe.
value labels set 1 'Set 1' 2 'Set 2'.

formats linkspos anteil ab set (f1.0).
freq linkspos anteil ab set .

delete variables build
blocknum
trialnum
blockcode
tcode
pretrialpause
posttrialpause
windowcenter
trialduration
trialtimeout
blocktimeout
response
cor
inwindow
stimulusnumber1
stimulusitem1
stimulusvpos1
stimulushpos1
stimulusonset1
stimulusnumber2
stimulusitem2
stimulusvpos2
stimulushpos2
stimulusonset2
stimulusnumber3
stimulusitem3
stimulusvpos3
stimulushpos3
stimulusonset3
V34.

save outfile 'stand5ablpbed.sav'.

crosstabs linkspos by anteil by ab by set.

**************************************.

GET DATA  /TYPE = TXT
 /FILE = '..\daten\stand5ln_1_all.dat'
 /DELCASE = LINE
 /DELIMITERS = "\t"
 /ARRANGEMENT = DELIMITED
 /FIRSTCASE = 2
 /IMPORTCASE = ALL
 /VARIABLES =
 date F6.2
 time A5
 subject F1.0
 build A11
 blocknum F1.0
 trialnum F2.0
 blockcode A8
 tcode A6
 pretrialpause F3.0
 posttrialpause F1.0
 windowcenter F1.0
 trialduration F1.0
 trialtimeout F1.0
 blocktimeout F1.0
 response F2.0
 cor F1.0
 lat F5.0
 inwindow F1.0
 stimulusnumber1 F1.0
 stimulusitem1 A1
 stimulusvpos1 F9.0
 stimulushpos1 F9.0
 stimulusonset1 F3.0
 stimulusnumber2 F1.0
 stimulusitem2 A11
 stimulusvpos2 F9.0
 stimulushpos2 F9.0
 stimulusonset2 F4.0
 stimulusnumber3 F1.0
 stimulusitem3 A11
 stimulusvpos3 F9.0
 stimulushpos3 F9.0
 stimulusonset3 F4.0
 V34 F1.0
 .
CACHE.
EXECUTE.

string id (a14).
compute id = string(subject, f2.0).
compute id = concat("_",id).
compute id = concat(time,id).
compute id = concat(string(date,f6.0),id).
exe.
freq id.

sel if (blocknum=5 & trialnum=1).
exe.

compute linkspos=0.
exe.
value labels linkspos 1 'Linke Taste=positiv' 0 'Linke Taste=negativ'.

compute anteil = 0.
if (index(blockcode, "7_")>0) anteil = 1.
if (index(blockcode, "3_")>0) anteil = 2.
exe.
value labels anteil 1 'Mehrheit negativ' 2 'Mehrheit positiv'.

compute ab = -1.
if (index(blockcode, "a")>0) ab = 1.
if (index(blockcode, "b")>0) ab = 2.
exe.
value labels ab 1 '@=pos' 2 '@=neg'.

compute set = 0.
if (index(blockcode, "1")=4) set = 1.
if (index(blockcode, "2")=4) set = 2.
exe.
value labels set 1 'Set 1' 2 'Set 2'.

formats linkspos anteil ab set (f1.0).
freq linkspos anteil ab set .

delete variables build
blocknum
trialnum
blockcode
tcode
pretrialpause
posttrialpause
windowcenter
trialduration
trialtimeout
blocktimeout
response
cor
inwindow
stimulusnumber1
stimulusitem1
stimulusvpos1
stimulushpos1
stimulusonset1
stimulusnumber2
stimulusitem2
stimulusvpos2
stimulushpos2
stimulusonset2
stimulusnumber3
stimulusitem3
stimulusvpos3
stimulushpos3
stimulusonset3
V34.

save outfile 'stand5lnbed.sav'.
crosstabs linkspos by anteil by ab by set.



GET DATA  /TYPE = TXT
 /FILE = '..\daten\stand5_cd_ln.dat'
 /DELCASE = LINE
 /DELIMITERS = "\t"
 /ARRANGEMENT = DELIMITED
 /FIRSTCASE = 2
 /IMPORTCASE = ALL
 /VARIABLES =
 date F6.2
 time A5
 subject F1.0
 build A11
 blocknum F1.0
 trialnum F2.0
 blockcode A8
 tcode A6
 pretrialpause F3.0
 posttrialpause F1.0
 windowcenter F1.0
 trialduration F1.0
 trialtimeout F1.0
 blocktimeout F1.0
 response F2.0
 cor F1.0
 lat F5.0
 inwindow F1.0
 stimulusnumber1 F1.0
 stimulusitem1 A1
 stimulusvpos1 F9.0
 stimulushpos1 F9.0
 stimulusonset1 F3.0
 stimulusnumber2 F1.0
 stimulusitem2 A11
 stimulusvpos2 F9.0
 stimulushpos2 F9.0
 stimulusonset2 F4.0
 stimulusnumber3 F1.0
 stimulusitem3 A11
 stimulusvpos3 F9.0
 stimulushpos3 F9.0
 stimulusonset3 F4.0
 V34 F1.0
 .
CACHE.
EXECUTE.

string id (a14).
compute id = string(subject, f2.0).
compute id = concat("_",id).
compute id = concat(time,id).
compute id = concat(string(date,f6.0),id).
exe.
freq id.

sel if (blocknum=5 & trialnum=1).
exe.

compute linkspos=0.
exe.
value labels linkspos 1 'Linke Taste=positiv' 0 'Linke Taste=negativ'.

compute anteil = 0.
if (index(blockcode, "7_")>0) anteil = 1.
if (index(blockcode, "3_")>0) anteil = 2.
exe.
value labels anteil 1 'Mehrheit negativ' 2 'Mehrheit positiv'.

compute ab = -1.
if (index(blockcode, "a")>0) ab = 1.
if (index(blockcode, "b")>0) ab = 2.
exe.
value labels ab 1 '@=pos' 2 '@=neg'.

compute set = 0.
if (index(blockcode, "1")=4) set = 1.
if (index(blockcode, "2")=4) set = 2.
exe.
value labels set 1 'Set 1' 2 'Set 2'.

formats linkspos anteil ab set (f1.0).
freq linkspos anteil ab set .

delete variables build
blocknum
trialnum
blockcode
tcode
pretrialpause
posttrialpause
windowcenter
trialduration
trialtimeout
blocktimeout
response
cor
inwindow
stimulusnumber1
stimulusitem1
stimulusvpos1
stimulushpos1
stimulusonset1
stimulusnumber2
stimulusitem2
stimulusvpos2
stimulushpos2
stimulusonset2
stimulusnumber3
stimulusitem3
stimulusvpos3
stimulushpos3
stimulusonset3
V34.

save outfile 'stand5cdlnbed.sav'.
crosstabs linkspos by anteil by ab by set.



******************************************************+.


get file 'stand5lpbed.sav'

add files file=* file='stand5lnbed.sav' file='stand5ablpbed.sav' file='stand5cdlnbed.sav'.
exe.

sort cases by id.
save outfile 'stand5bed.sav'.
crosstabs linkspos by anteil by ab by set.

* Doppelte Flle ermitteln.
SORT CASES BY linkspos(A) anteil(A) ab(A) set(A) .
MATCH FILES /FILE = * /BY linkspos anteil ab set
 /FIRST = PrimaryFirst /LAST = PrimaryLast.
DO IF (PrimaryFirst).
COMPUTE bedzhler = 1 - PrimaryLast.
ELSE.
COMPUTE bedzhler = bedzhler + 1.
END IF.
LEAVE bedzhler.
FORMAT bedzhler (f7).
COMPUTE InDupGrp = bedzhler > 0.
SORT CASES InDupGrp(D).
MATCH FILES /FILE = * /DROP = PrimaryFirst PrimaryLast InDupGrp.
VARIABLE LABELS bedzhler 'Sequentielle Zhlung der bereinstimmenden Flle' .
VARIABLE LEVEL bedzhler (SCALE).
FREQUENCIES VARIABLES = bedzhler .
EXECUTE.

compute select=1.
if (bedzhler>4) select=0.
exe.
formats select (f1.0).
sel if select=1.
exe.
crosstabs linkspos by anteil by ab by set.
sort cases by id.
save outfile 'stand5bed.sav'.

















************************************************************************+.












GET DATA  /TYPE = TXT
 /FILE = '..\daten\stand5lp_2_all.dat'
 /DELCASE = LINE
 /DELIMITERS = "\t"
 /ARRANGEMENT = DELIMITED
 /FIRSTCASE = 2
 /IMPORTCASE = ALL
 /VARIABLES =
 date F6.2
 time A5
 subject F1.0
 build A11
 blocknum F1.0
 trialnum F2.0
 blockcode A8
 tcode A6
 pretrialpause F3.0
 posttrialpause F1.0
 windowcenter F1.0
 trialduration F1.0
 trialtimeout F1.0
 blocktimeout F1.0
 response F2.0
 cor F1.0
 lat F5.0
 inwindow F1.0
 stimulusnumber1 F1.0
 stimulusitem1 A1
 stimulusvpos1 F9.0
 stimulushpos1 F9.0
 stimulusonset1 F3.0
 stimulusnumber2 F1.0
 stimulusitem2 A11
 stimulusvpos2 F9.0
 stimulushpos2 F9.0
 stimulusonset2 F4.0
 stimulusnumber3 F1.0
 stimulusitem3 A11
 stimulusvpos3 F9.0
 stimulushpos3 F9.0
 stimulusonset3 F4.0
 V34 F1.0
 .
CACHE.
EXECUTE.

string id (a14).
compute id = string(subject, f2.0).
compute id = concat("_",id).
compute id = concat(time,id).
compute id = concat(string(date,f6.0),id).
exe.
freq id.

compute val=-1.
if (index(tcode,'p')=1) val=1.
if (index(tcode,'n')=1) val=2.
if (index(tcode,'x')=1) val=0.
if (index(tcode,'f')=1) val=3.
exe.
value labels val 1 'Positiv' 2 'Negativ' 0 'Neutral' 3 'Filler'.
formats val (f1.0).
freq val.


if (index(tcode,'w')=3) col=0.
if (index(tcode,'@')=3) col=1.
if (index(tcode,'#')=3) col=2.
exe.
value labels col 0 'wei' 1 '@' 2 '#'.
freq col.

save outfile='stand5lptr.sav'.




GET DATA  /TYPE = TXT
 /FILE = '..\daten\stand5_ab_lp.dat'
 /DELCASE = LINE
 /DELIMITERS = "\t"
 /ARRANGEMENT = DELIMITED
 /FIRSTCASE = 2
 /IMPORTCASE = ALL
 /VARIABLES =
 date F6.2
 time A5
 subject F1.0
 build A11
 blocknum F1.0
 trialnum F2.0
 blockcode A8
 tcode A6
 pretrialpause F3.0
 posttrialpause F1.0
 windowcenter F1.0
 trialduration F1.0
 trialtimeout F1.0
 blocktimeout F1.0
 response F2.0
 cor F1.0
 lat F5.0
 inwindow F1.0
 stimulusnumber1 F1.0
 stimulusitem1 A1
 stimulusvpos1 F9.0
 stimulushpos1 F9.0
 stimulusonset1 F3.0
 stimulusnumber2 F1.0
 stimulusitem2 A11
 stimulusvpos2 F9.0
 stimulushpos2 F9.0
 stimulusonset2 F4.0
 stimulusnumber3 F1.0
 stimulusitem3 A11
 stimulusvpos3 F9.0
 stimulushpos3 F9.0
 stimulusonset3 F4.0
 V34 F1.0
 .
CACHE.
EXECUTE.

string id (a14).
compute id = string(subject, f2.0).
compute id = concat("_",id).
compute id = concat(time,id).
compute id = concat(string(date,f6.0),id).
exe.
freq id.

compute val=-1.
if (index(tcode,'p')=1) val=1.
if (index(tcode,'n')=1) val=2.
if (index(tcode,'x')=1) val=0.
if (index(tcode,'f')=1) val=3.
exe.
value labels val 1 'Positiv' 2 'Negativ' 0 'Neutral' 3 'Filler'.
formats val (f1.0).
freq val.


if (index(tcode,'w')=3) col=0.
if (index(tcode,'@')=3) col=1.
if (index(tcode,'#')=3) col=2.
exe.
value labels col 0 'wei' 1 '@' 2 '#'.
freq col.

save outfile='stand5ablptr.sav'.


*******************.


GET DATA  /TYPE = TXT
 /FILE = '..\daten\stand5ln_1_all.dat'
 /DELCASE = LINE
 /DELIMITERS = "\t"
 /ARRANGEMENT = DELIMITED
 /FIRSTCASE = 2
 /IMPORTCASE = ALL
 /VARIABLES =
 date F6.2
 time A5
 subject F1.0
 build A11
 blocknum F1.0
 trialnum F2.0
 blockcode A8
 tcode A6
 pretrialpause F3.0
 posttrialpause F1.0
 windowcenter F1.0
 trialduration F1.0
 trialtimeout F1.0
 blocktimeout F1.0
 response F2.0
 cor F1.0
 lat F5.0
 inwindow F1.0
 stimulusnumber1 F1.0
 stimulusitem1 A1
 stimulusvpos1 F9.0
 stimulushpos1 F9.0
 stimulusonset1 F3.0
 stimulusnumber2 F1.0
 stimulusitem2 A11
 stimulusvpos2 F9.0
 stimulushpos2 F9.0
 stimulusonset2 F4.0
 stimulusnumber3 F1.0
 stimulusitem3 A11
 stimulusvpos3 F9.0
 stimulushpos3 F9.0
 stimulusonset3 F4.0
 V34 F1.0
 .
CACHE.
EXECUTE.


string id (a14).
compute id = string(subject, f2.0).
compute id = concat("_",id).
compute id = concat(time,id).
compute id = concat(string(date,f6.0),id).
exe.
freq id.

compute val=-1.
if (index(tcode,'p')=1) val=1.
if (index(tcode,'n')=1) val=2.
if (index(tcode,'x')=1) val=0.
if (index(tcode,'f')=1) val=3.
exe.
value labels val 1 'Positiv' 2 'Negativ' 0 'Neutral' 3 'Filler'.
formats val (f1.0).
freq val.


if (index(tcode,'w')=3) col=0.
if (index(tcode,'@')=3) col=1.
if (index(tcode,'#')=3) col=2.
exe.
value labels col 0 'wei' 1 '@' 2 '#'.
freq col.

save outfile='stand5lntr.sav'.



GET DATA  /TYPE = TXT
 /FILE = '..\daten\stand5_cd_ln.dat'
 /DELCASE = LINE
 /DELIMITERS = "\t"
 /ARRANGEMENT = DELIMITED
 /FIRSTCASE = 2
 /IMPORTCASE = ALL
 /VARIABLES =
 date F6.2
 time A5
 subject F1.0
 build A11
 blocknum F1.0
 trialnum F2.0
 blockcode A8
 tcode A6
 pretrialpause F3.0
 posttrialpause F1.0
 windowcenter F1.0
 trialduration F1.0
 trialtimeout F1.0
 blocktimeout F1.0
 response F2.0
 cor F1.0
 lat F5.0
 inwindow F1.0
 stimulusnumber1 F1.0
 stimulusitem1 A1
 stimulusvpos1 F9.0
 stimulushpos1 F9.0
 stimulusonset1 F3.0
 stimulusnumber2 F1.0
 stimulusitem2 A11
 stimulusvpos2 F9.0
 stimulushpos2 F9.0
 stimulusonset2 F4.0
 stimulusnumber3 F1.0
 stimulusitem3 A11
 stimulusvpos3 F9.0
 stimulushpos3 F9.0
 stimulusonset3 F4.0
 V34 F1.0
 .
CACHE.
EXECUTE.


string id (a14).
compute id = string(subject, f2.0).
compute id = concat("_",id).
compute id = concat(time,id).
compute id = concat(string(date,f6.0),id).
exe.
freq id.

compute val=-1.
if (index(tcode,'p')=1) val=1.
if (index(tcode,'n')=1) val=2.
if (index(tcode,'x')=1) val=0.
if (index(tcode,'f')=1) val=3.
exe.
value labels val 1 'Positiv' 2 'Negativ' 0 'Neutral' 3 'Filler'.
formats val (f1.0).
freq val.


if (index(tcode,'w')=3) col=0.
if (index(tcode,'@')=3) col=1.
if (index(tcode,'#')=3) col=2.
exe.
value labels col 0 'wei' 1 '@' 2 '#'.
freq col.

save outfile='stand5cdlntr.sav'.


**********************************************************.

get file 'stand5lptr.sav'.
add files file=* file='stand5ablptr.sav' file='stand5lntr.sav' file='stand5cdlntr.sav'.
exe.

save outfile='stand5tr.sav'.


freq blockcode.


***************************************************************************************+.


get file 'stand5tr.sav'.

sel if (blocknum>4 & blocknum<12).
exe.

sort cases by id.
MATCH FILES  /FILE=* /TABLE='..\auswert\stand5bed.sav'
 /RENAME (date time = d0 d1)
 /BY id
 /DROP= d0 d1.
EXECUTE.

sel if (~sysmis(linkspos)).
exe.

save outfile 'stand5tr.sav'.





**************************.
* modellkategorien, individuell.

get file 'stand5tr.sav'.
sel if (col>0).
*sel if subject ~=18.
exe.

sel if blocknum>3.
exe.


* .1=@, .2=#; der score ist negativ, wenn er "negative" Bewertung impliziert.
do if (ab=2).
if (col=1) valr = 0.
if (col=2) valr = 1.
else if (ab=1).
if (col=1) valr = 1.
if (col=2) valr = 0.
end if.
exe.

sort cases by id anteil val valr.
AGGREGATE
  /OUTFILE=*
  /BREAK=id anteil val valr
  /cor_n = N(cor) /cor = SUM(cor) /lat=mean(lat).

compute err=cor_n-cor.
exe.

formats valr cor err (F1.0).

sort cases by anteil(a) id(a) val(d) valr(d).
casestovars /id=anteil id /index=val valr.

save outfile='exp4indiv.sav'.
sel if anteil=1.
exe.
save translate 
 /keep=anteil cor.2.1 err.2.1 cor.2.0 err.2.0 cor.1.1  err.1.1 cor.1.0 err.1.0 cor.0.1 err.0.1 cor.0.0 err.0.0
 /type=tab /fieldnames /replace /outfile='exp4_1indiv.dat'.

get file='exp4indiv.sav'.
sel if anteil=2.
exe.
save translate 
 /keep=anteil cor.2.1 err.2.1 cor.2.0 err.2.0 cor.1.1  err.1.1 cor.1.0 err.1.0 cor.0.1 err.0.1 cor.0.0 err.0.0
 /type=tab /fieldnames /replace /outfile='exp4_2indiv.dat'.





***************************************************************************************+.
* EAST scores.

get file 'stand5tr.sav'.

crosstabs linkspos by blockcode.
crosstabs linkspos by anteil by ab by set.

sel if val<3.
sel if col>0.
exe.

*INDEX: COR-VAL-SET-COL.
sort cases by id linkspos anteil ab set val col.
aggregate /outfile=* /break=id linkspos anteil ab set val col /cor=mean(cor) /cors=sum(cor) /n=n  /lat=mean(lat).
sort cases by id linkspos anteil ab set val col.
freq linkspos anteil ab set val.
formats anteil val col ab set (F1.0).
compute er=1-cor.
casestovars /id=id linkspos anteil ab set /index=val col.
****************************************************************************.

crosstabs linkspos by anteil by ab by set.

compute erm = mean(er.0.1, er.0.2, er.1.1, er.1.2, er.2.1, er.2.2).
exe.
examine erm.
*sel if (erm<.28).
exe.

sort cases by linkspos anteil ab.
split file by linkspos anteil ab.
desc er.0.1 er.0.2 er.1.1 er.1.2 er.2.1 er.2.2.
split file off.

* .1=@, .2=#; der score ist negativ, wenn er "negative" Bewertung impliziert.
do if (ab=2).
compute er_p = er.1.1 - er.1.2.
compute er_n = er.2.1 - er.2.2.
compute er_x = er.0.1 - er.0.2.
compute east_er = mean(er.1.1, er.2.2) - mean(er.1.2, er.2.1).
else if (ab=1).
compute er_p = er.1.2 - er.1.1.
compute er_n = er.2.2 - er.2.1.
compute er_x = er.0.2 - er.0.1.
compute east_er = mean(er.1.2, er.2.1) - mean(er.1.1, er.2.2).
end if.
exe.

sort cases by id.
save outfile='stand5all.sav'.

***.
glm er_p er_x er_n by linkspos ab anteil set /wsfactor val 3 /print=etasq
/emmeans=tables(linkspos) /emmeans=tables(ab) /emmeans=tables(val) /emmeans=tables(anteil) /emmeans=tables(val*ab) /emmeans=tables(linkspos*anteil*ab).


**********************************.
* post-hoc tests der EAST-scores.

t-test /pairs=er_p with er_x.
t-test /pairs=er_x with er_n.

glm er_p by linkspos ab anteil set /print=etasq /emmeans=tables(linkspos) /emmeans=tables(ab) /emmeans=tables(anteil) /emmeans=tables(linkspos*anteil*ab).
glm er_x by linkspos ab anteil set /print=etasq /emmeans=tables(linkspos) /emmeans=tables(ab) /emmeans=tables(anteil) /emmeans=tables(linkspos*anteil*ab).
glm er_n by linkspos ab anteil set /print=etasq /emmeans=tables(linkspos) /emmeans=tables(ab) /emmeans=tables(anteil) /emmeans=tables(linkspos*anteil*ab).

graph /scatter = ab with er_n by id.
sort cases by ab.
split file by ab.
glm er_p er_x er_n by linkspos ab anteil set /wsfactor val 3 /print=etasq
/emmeans=tables(linkspos) /emmeans=tables(ab) /emmeans=tables(val) compare  /emmeans=tables(anteil) /emmeans=tables(val*ab) /emmeans=tables(linkspos*anteil*ab).
t-test /pairs=er_p with er_n.
t-test /pairs=er_x with er_n.
split file off.

sort cases by anteil .
split file layered by anteil .
t-test /testval=0 /var=er_p er_n er_x east_er .
split file off.
t-test groups=anteil(1 2) /var=er_p er_n er_x.

